Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class MemberMembershipCriteria

    java.lang.Object
      com.bea.netuix.application.communities.MembershipCriteria
          com.bea.netuix.application.communities.MemberMembershipCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class MemberMembershipCriteria

extends MembershipCriteria

The MemberMembershipCriteria object is used to specify attributes used to find specific CommunityMembership objects for a particular user. To use this object, construct a new instance, and call any of the `set...` methods to specify constraints on the search. Only constraints set using a `set...` method will be used during the search. All specified constraints are used in conjunction (AND rather than OR). Setting some constraints will automatically un-set others, so view the documentation for each `set...` method to understand the consequences.

For example, to specify a search criteria to find all disabled memberships for a particular member, the following would work:

     MemberMembershipCriteria criteria = new MemberMembershipCriteria(username);
     criteria.setMembershipActive(false);

The overview of community functionality contains a description of the community framework.

See Also
  `MembershipCriteria`, `CommunityMembershipCriteria`, Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.communities.MembershipCriteria
`ORDER_BY_JOIN_DATE, ORDER_BY_LAST_ACCESS_DATE, ORDER_BY_MEMBER_ACTIVE, ORDER_BY_MEMBER_EXTERNAL, ORDER_BY_MEMBERSHIP_ACTIVE, ORDER_BY_USERNAME`

Constructor Summary
`MemberMembershipCriteria(CommunityMemberId memberId)` Constructor for a MemberMembershipCriteria object which creates a unconstrained search criteria-- by default, all criteria are not used during a search, and all CommunityMemberships will be selected.
`MemberMembershipCriteria(String username)` Constructor for a MemberMembershipCriteria object which creates a unconstrained search criteria-- by default, all criteria are not used during a search, and all CommunityMemberships will be selected.

Method Summary
`MemberMembershipCriteria` | `copy()` Creates a copy of this MemberMembershipCriteria object.
`boolean` | `equals(Object o)`
`void` | `setWebAppName(String webAppName)` Specifies the web app name a CommunityMembership must match to be included.
`String` | `toString()`

Methods inherited from class com.bea.netuix.application.communities.MembershipCriteria
`getAccessRecordedCriteria, getCommunityIdCriteria, getJoinedAfterCriteria, getJoinedBeforeCriteria, getLastAccessAfterCriteria, getLastAccessBeforeCriteria, getMemberActiveCriteria, getMemberExternalCriteria, getMemberIdCriteria, getMembershipAccessibleCriteria, getMembershipActiveCriteria, getMembershipCapabilityCriteria, getMembershipHasCapabilityCriteria, getSortOrderField, getUsernameCriteria, getUsernameFilterMethod, getWebAppNameCriteria, hashCode, isAccessRecordedCriteria, isCommunityIdCriteria, isJoinedAfterCriteria, isJoinedBeforeCriteria, isLastAccessAfterCriteria, isLastAccessBeforeCriteria, isMemberActiveCriteria, isMemberExternalCriteria, isMemberIdCriteria, isMembershipAccessibleCriteria, isMembershipActiveCriteria, isMembershipCapabilityCriteria, isSortOrderAscending, isUsernameCriteria, isWebAppNameCriteria, orderBy, setAccessRecorded, setJoinedAfter, setJoinedBefore, setLastAccessAfter, setLastAccessBefore, setMembershipAccessible, setMembershipActive, setMembershipCapability`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemberMembershipCriteria

    public MemberMembershipCriteria(CommunityMemberId memberId)

  Constructor for a MemberMembershipCriteria object which creates a unconstrained search criteria-- by default, all criteria are not used during a search, and all CommunityMemberships will be selected. To narrow the search, call the appropriate set... methods to specify what criteria should be used. Unless a set... method is called to specify a criteria, the criteria is NOT used in the search.

  Parameters
    `memberId` - the member to search for memberships for.

### MemberMembershipCriteria

    public MemberMembershipCriteria(String username)

  Constructor for a MemberMembershipCriteria object which creates a unconstrained search criteria-- by default, all criteria are not used during a search, and all CommunityMemberships will be selected. To narrow the search, call the appropriate set... methods to specify what criteria should be used. Unless a set... method is called to specify a criteria, the criteria is NOT used in the search.

  Parameters
    `username` - the username of the member to search for memberships for.

Method Detail

### copy

    public MemberMembershipCriteria copy()

  Creates a copy of this MemberMembershipCriteria object.

  Returns
    a copy of this MemberMembershipCriteria object.

### setWebAppName

    public void setWebAppName(String webAppName)

  Specifies the web app name a CommunityMembership must match to be included. If this method is not called, or if `null` is used as the argument, web app name is not used as a criteria for selecting memberships.

  Parameters
    `webAppName` - the web app name memberships must match to be included. If null, web app name is not used as a criteria for selection.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.